classification
Title: replace dist/src/Tools/scripts/which.py with tmick's which
Type: enhancement Stage: resolved
Components: Demos and Tools Versions: Python 3.2
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Finding programs in PATH, adding shutil.which
View: 444582
Assigned To: Nosy List: eric.araujo, loewis, schmir, tmick, wrstlprmpft
Priority: normal Keywords:

Created on 2006-06-21 08:47 by wrstlprmpft, last changed 2010-11-18 01:04 by eric.araujo. This issue is now closed.

Messages (6)
msg61243 - (view) Author: wrstl prmpft (wrstlprmpft) Date: 2006-06-21 08:47
see http://starship.python.net/~tmick/#which

The author agrees with me in his README.

Even better: include which as a module in the standard 
library so it can be used programmatically and as::

  python -m which ...

or maybe::

  python -m os.which ...

cheers
msg61244 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2006-10-14 22:38
Logged In: YES 
user_id=21627

The URL is now bad... Do you have a current location of the
file?

In any case, we cannot really replace it unless Trent
actively contributes it. So you have to pursudate Trent to
contribute it first.
msg61245 - (view) Author: wrstl prmpft (wrstlprmpft) Date: 2006-10-15 13:31
Logged In: YES 
user_id=801589

Current location: http://trentm.com/projects/which/

About getting Trent to actively contribute, I'll cite the 
linked page:

  "I also would be happy to have this be a replacement for 
the which.py in the Python CVS tree at dist/src/Tools/
scripts/which.py which is Unix-specific and not usable as a 
module; and perhaps for inclusion in the stdlib."

So I do not think this will be a problem.
(No way of cc:ing someone for sf.net replies? I will try 
contacting him directly, cc:ing you.)

cheers
msg61246 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2006-10-15 13:46
Logged In: YES 
user_id=21627

Can you please work with Trent on contributing it? Determine
whether it should be targeted for the standard library or
for Tools/scripts; if for the standard library, somebody
needs to provide documentation and test cases also (and
there should be an API review by potential users).
msg61247 - (view) Author: Trent Mick (tmick) (Python triager) Date: 2006-10-16 16:37
Logged In: YES 
user_id=34892

I'm happy to contribute this to the Python core. There are
some TODOs here that I think should be worked through:

http://trentm.com/projects/which/TODO.txt

I'll see if wrstlprmpft and I can get through those. Help
and opinions from others very welcome.
msg121400 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-18 01:04
I think Tools/scripts/which.py is obsoleted by the upcoming shutil.which function.
History
Date User Action Args
2010-12-30 22:14:16georg.brandlunlinkissue7962 dependencies
2010-11-18 02:30:16eric.araujounlinkissue444582 dependencies
2010-11-18 01:04:48eric.araujosetstatus: open -> closed

superseder: Finding programs in PATH, adding shutil.which

nosy: + eric.araujo
messages: + msg121400
resolution: duplicate
stage: test needed -> resolved
2010-08-09 03:41:50terry.reedysetversions: + Python 3.2, - Python 3.1, Python 2.7
2010-07-04 16:58:32eric.araujolinkissue7962 dependencies
2009-04-22 14:38:20ajaksu2linkissue444582 dependencies
2009-03-30 06:33:27ajaksu2setstage: test needed
components: + Demos and Tools, - None
versions: + Python 3.1, Python 2.7
2008-03-14 18:16:54schmirsetnosy: + schmir
2006-06-21 08:47:17wrstlprmpftcreate